diff --git a/ui/src/Pages/SettingsPage/Users/EditUserRow.tsx b/ui/src/Pages/SettingsPage/Users/EditUserRow.tsx
index 9f03050..b98edbd 100644
--- a/ui/src/Pages/SettingsPage/Users/EditUserRow.tsx
+++ b/ui/src/Pages/SettingsPage/Users/EditUserRow.tsx
@@ -2,7 +2,7 @@ import React from 'react'
 import { useTranslation } from 'react-i18next'
 import { Button, Checkbox, Input, Table } from 'semantic-ui-react'
 import { EditRootPaths } from './EditUserRowRootPaths'
-import { UserRowProps, UserRowChildProps } from './UserRow'
+import { UserRowChildProps } from './UserRow'
 
 const EditUserRow = ({
   user,
@@ -83,6 +83,4 @@ const EditUserRow = ({
   )
 }
 
-EditUserRow.propTypes = UserRowProps
-
 export default EditUserRow
diff --git a/ui/src/Pages/SettingsPage/Users/UserRow.tsx b/ui/src/Pages/SettingsPage/Users/UserRow.tsx
index 23243c3..8ab8a9d 100644
--- a/ui/src/Pages/SettingsPage/Users/UserRow.tsx
+++ b/ui/src/Pages/SettingsPage/Users/UserRow.tsx
@@ -1,4 +1,3 @@
-import PropTypes from 'prop-types'
 import React, { useState } from 'react'
 import {
   FetchResult,
@@ -40,21 +39,6 @@ const scanUserMutation = gql`
   }
 `
 
-export const UserRowProps = {
-  user: PropTypes.object.isRequired,
-  state: PropTypes.object.isRequired,
-  setState: PropTypes.func.isRequired,
-  scanUser: PropTypes.func.isRequired,
-  updateUser: PropTypes.func.isRequired,
-  updateUserLoading: PropTypes.bool.isRequired,
-  deleteUser: PropTypes.func.isRequired,
-  setChangePassword: PropTypes.func.isRequired,
-  setConfirmDelete: PropTypes.func.isRequired,
-  scanUserCalled: PropTypes.func.isRequired,
-  showChangePassword: PropTypes.func.isRequired,
-  showConfirmDelete: PropTypes.func.isRequired,
-}
-
 interface UserRowState extends settingsUsersQuery_user {
   editing: boolean
   newRootPath: string
@@ -81,7 +65,7 @@ export type UserRowChildProps = {
   showConfirmDelete: boolean
 }
 
-type UserRowProps = {
+export type UserRowProps = {
   user: settingsUsersQuery_user
   refetchUsers(): void
 }
diff --git a/ui/src/Pages/SettingsPage/Users/ViewUserRow.tsx b/ui/src/Pages/SettingsPage/Users/ViewUserRow.tsx
index f4b5b7e..be15b4f 100644
--- a/ui/src/Pages/SettingsPage/Users/ViewUserRow.tsx
+++ b/ui/src/Pages/SettingsPage/Users/ViewUserRow.tsx
@@ -3,7 +3,7 @@ import { Trans, useTranslation } from 'react-i18next'
 import { Button, Icon, Table, Modal } from 'semantic-ui-react'
 import styled from 'styled-components'
 import ChangePasswordModal from './UserChangePassword'
-import { UserRowChildProps, UserRowProps } from './UserRow'
+import { UserRowChildProps } from './UserRow'
 
 const PathList = styled.ul`
   margin: 0;
@@ -126,6 +126,4 @@ const ViewUserRow = ({
   )
 }
 
-ViewUserRow.propTypes = UserRowProps
-
 export default ViewUserRow
diff --git a/ui/src/Pages/SettingsPage/VersionInfo.tsx b/ui/src/Pages/SettingsPage/VersionInfo.tsx
index 4113a03..1d69807 100644
--- a/ui/src/Pages/SettingsPage/VersionInfo.tsx
+++ b/ui/src/Pages/SettingsPage/VersionInfo.tsx
@@ -7,10 +7,10 @@ import {
   SectionTitle,
 } from './SettingsPage'
 
-const VERSION = process.env.VERSION ? process.env.VERSION : 'undefined'
-const BUILD_DATE = process.env.BUILD_DATE ? process.env.BUILD_DATE : 'undefined'
+const VERSION = import.meta.env.VITE_BUILD_VERSION ?? 'undefined'
+const BUILD_DATE = import.meta.env.VITE_BUILD_DATE ?? 'undefined'
 
-const COMMIT_SHA = process.env.COMMIT_SHA
+const COMMIT_SHA = import.meta.env.VITE_BUILD_COMMIT_SHA as string | undefined
 let commitLink: ReactElement
 
 if (COMMIT_SHA) {
diff --git a/ui/src/Pages/SharePage/AlbumSharePage.tsx b/ui/src/Pages/SharePage/AlbumSharePage.tsx
index 99b3c38..a2ac76d 100644
--- a/ui/src/Pages/SharePage/AlbumSharePage.tsx
+++ b/ui/src/Pages/SharePage/AlbumSharePage.tsx
@@ -1,5 +1,5 @@
 import React from 'react'
-import Layout from '../../Layout'
+import Layout from '../../components/layout/Layout'
 import AlbumGallery from '../../components/albumGallery/AlbumGallery'
 import styled from 'styled-components'
 import { gql, useQuery } from '@apollo/client'
diff --git a/ui/src/Pages/SharePage/MediaSharePage.tsx b/ui/src/Pages/SharePage/MediaSharePage.tsx
index b824640..3873e0d 100644
--- a/ui/src/Pages/SharePage/MediaSharePage.tsx
+++ b/ui/src/Pages/SharePage/MediaSharePage.tsx
@@ -1,6 +1,6 @@
 import React, { useContext, useEffect } from 'react'
 import styled from 'styled-components'
-import Layout from '../../Layout'
+import Layout from '../../components/layout/Layout'
 import {
   ProtectedImage,
   ProtectedVideo,
